forceRequiredAddon("Light_Animated");

function campingCheckLoop()
{
	%clients = clientGroup.getCount();
	for(%i = 0; %i < %clients; %i++)
	{
		%client = clientGroup.getObject(%i);
		
		if(!isObject(%client.minigame))
		{
			// They're not in a minigame, so skip them.
			continue;
		}
		
		if(!isObject(%client.player))
			continue;
		
		%position = %client.player.getPosition();
		if(vectorDist(%client.campCheckPosition, %position) < 10)
		{
			%client.campChecks++;
		}
		else
		{
			%client.campCheckPosition = %position;
			%client.campChecks = 0;
		}
		
		if(%client.campChecks > 30)
		{
			%client.player.makeLight();
		}
		else
		{
			%client.player.noLight();
		}
	}
	
	schedule(1000, 0, campingCheckLoop);
}

campingCheckLoop();

function player::makeLight(%this)
{
	if(isObject(%this.campLight))
		return;
	
	%light = new fxLight()
	{
		position = %this.getHackPosition();
		rotation = "0 0 1 180";
		scale = "1 1 1";
		datablock = AlarmLightA;
		enable = true;
		IconSize = 1;
		brick = 0;
	};
	
	%this.campLight = %light;
}

function player::noLight(%this)
{
	if(!isObject(%this.campLight))
		return;
	
	%this.campLight.delete();
}

package campLightPackage
{
	function armor::onRemove(%this, %obj, %arg)
	{
		if(isObject(%obj.campLight))
			%obj.noLight();
		
		return parent::onRemove(%this, %obj, %arg);
	}
};
activatePackage(campLightPackage);